TableDisplayAlignmentProvider (base API)
Date: 2019-04-05

com.twosigma.beakerx.table

## Enum TableDisplayAlignmentProvider

- java.lang.Object
- - java.lang.Enum<TableDisplayAlignmentProvider>
  - - com.twosigma.beakerx.table.TableDisplayAlignmentProvider

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TableDisplayAlignmentProvider>

      public enum TableDisplayAlignmentProvider
      extends java.lang.Enum<TableDisplayAlignmentProvider>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER_ALIGNMENT`
    `LEFT_ALIGNMENT`
    `RIGHT_ALIGNMENT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()`
    `java.lang.String` | `toString()`
    `static TableDisplayAlignmentProvider` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TableDisplayAlignmentProvider[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CENTER_ALIGNMENT

          public static final TableDisplayAlignmentProvider CENTER_ALIGNMENT

    - #### LEFT_ALIGNMENT

          public static final TableDisplayAlignmentProvider LEFT_ALIGNMENT

    - #### RIGHT_ALIGNMENT

          public static final TableDisplayAlignmentProvider RIGHT_ALIGNMENT

  - ### Method Detail

    - #### values

          public static TableDisplayAlignmentProvider[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableDisplayAlignmentProvider c : TableDisplayAlignmentProvider.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableDisplayAlignmentProvider valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public java.lang.String getCode()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TableDisplayAlignmentProvider>`